### Method

# Gimp Image set_selected_paths

since: 3.0.0

#### Declaration [src]

    gboolean
    gimp_image_set_selected_paths (
      GimpImage* image,
      const GimpPath** paths
    )

#### Description [src]

Sets the specified image’s selected paths.

The paths are set as the selected paths in the image.

Available since: 3.0.0

#### Parameters

`paths`

  Type: An array of `GimpPath*`

  The list of paths to select.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.